Skip to main content
Infrastructure/Assets
PATCHInfrastructureSince 1.0SynchronousAuth Required

PatchAssetLabels

Partially update labels on the specified asset by adding or removing keys.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • assetTypeStringRequired

    Type of the asset to patch labels on (e.g. vm, host, volume)

  • assetUuidStringRequired

    UUID of the specific asset to patch labels on

Body Fields

  • addObjectRequired

    The add value

    Example: (nested object)

  • removeListRequired

    Remove for this resource

    Example: item1,item2

Responses

200 OK

On success, this API returns the following response structure.

  • dataObject

    The data value

    Example: (nested object)

Endpoint

PATCH/api/v1/assets/{assetType}/{assetUuid}/labels

/api/v1/assets/{assetType}/{assetUuid}/labels

Operation ID

PatchAssetLabels

Permalink

Request Example

curl -X PATCH '{host}/api/v1/assets/{assetType}/{assetUuid}/labels' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"add":"(nested object)","remove":"item1,item2"}'

Response Example

200
{
  "data": null
}

Change History

This API has no change history records yet.

View all change history